API ReferenceVerifier root CA certificates
Retrieve a verifier root CA certificate
GET
Retrieves an existing verifier root CA certificate.
Roles
adminverifiercertificate-manager
Analytics Events
CREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_RETRIEVE_STARTCREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_RETRIEVE_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_CA_CERTIFICATE_RETRIEVE_FAIL
bearerAuthheader
AuthorizationBearer <token>certificateId*stringUnique identifier for the verifier root CA certificate.
Format
uuidVerifier root CA certificate retrieved
application/json- response
Response payload for verifier root CA certificate
id?stringUnique identifier for this Verifier root CA certificate.
certificatePem?stringDTS root CA certificate in PEM format.
certificateFingerprint?stringHash that includes all the Verifier root CA certificate data and its signature.
certificateData?active?booleanIndicates if the Verifier root CA certificate is active. Only active Verifier root CA certificates can be used to sign other intermediate certificates.
Default
trueisManaged?booleanIndicates whether the private key for this Verifier root CA certificate is managed by MATTR (true) or out of band by the customer as an external certificate (false).
curl -X GET "https://example.com/v2/presentations/certificates/ca/281d20b3-42a3-40dd-b29a-115ff32b02b7"{ "id": "string", "certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----", "certificateFingerprint": "a3b2c1d4e5f60718293a4b5c6d7e8f90123456789abcdef0123456789abcdef0", "certificateData": { "commonName": "Example Verifier", "country": "US", "notAfter": "2024-10-22T00:00:00Z", "notBefore": "2023-10-22T00:00:00Z", "organisationName": "Example Organization" }, "active": true, "isManaged": true}How would you rate this page?